"use strict";

const Mfrc522 = require("mfrc522-rpi");
const SoftSPI = require("rpi-softspi");
const Omx = require('node-omxplayer');

const softSPI = new SoftSPI({ clock: 23, mosi: 19, miso: 21, client: 24 });
const mfrc522 = new Mfrc522(softSPI).setResetPin(22);
var player = null;
var video = [
    { 'tag': '8a98b319', 'file': 'video1.mp4' }
    ,
    { 'tag': 'd9135db2', 'file': 'video2.mp4' }
];

mfrc522.reset();

setInterval(function () {
    if (!player?.running) {
        if (mfrc522.findCard().status) {
            let res = mfrc522.getUid();
            if (!res.status) { return; }
            let tg = res.data[0].toString(16) +
                res.data[1].toString(16) +
                res.data[2].toString(16) +
                res.data[3].toString(16);
            let fl = video.find(x => x.tag === tg).file;
            if (fl) { readmovies(fl); }
        }
    }
}, 1000);

function readmovies(file) {
    player = Omx('videos/' + file, 'hdmi');
}